aboutsummaryrefslogtreecommitdiffstats
path: root/main/ncurses/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-23 18:24:11 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-23 18:24:11 +0000
commit2d2ddf507bf1ae2f4cc595b23b8e018398cbe8dd (patch)
treea63d3b3b1c89018b5419358eed5c2bb0acf1cd92 /main/ncurses/APKBUILD
parente374901731eb35599bd6735de4dd38560e3a79b8 (diff)
downloadaports-2d2ddf507bf1ae2f4cc595b23b8e018398cbe8dd.tar.gz
aports-2d2ddf507bf1ae2f4cc595b23b8e018398cbe8dd.tar.bz2
aports-2d2ddf507bf1ae2f4cc595b23b8e018398cbe8dd.tar.xz
move core/* to main/
added maintainer to several packages as well
Diffstat (limited to 'main/ncurses/APKBUILD')
-rw-r--r--main/ncurses/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/main/ncurses/APKBUILD b/main/ncurses/APKBUILD
new file mode 100644
index 0000000000..6bd01f640d
--- /dev/null
+++ b/main/ncurses/APKBUILD
@@ -0,0 +1,34 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=ncurses
+pkgver=5.7
+pkgrel=0
+pkgdesc="Console display library"
+url="http://www.gnu.org/software/ncurses/"
+license=MIT
+depends=
+
+source="ftp://ftp.gnu.org/pub/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz
+ "
+
+subpackages="$pkgname-dev $pkgname-doc $pkgname-terminfo"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure \
+ --mandir=/usr/share/man \
+ --disable-ada \
+ --without-cxx-binding \
+ --with-shared
+
+ make || return 1
+ make install DESTDIR=$pkgdir/
+}
+
+terminfo() {
+ rm -rf $subpkgdir
+ mkdir -p $subpkgdir/usr/share
+ mv $pkgdir/usr/share/terminfo $subpkgdir/usr/share
+}
+
+md5sums="cce05daf61a64501ef6cd8da1f727ec6 ncurses-5.7.tar.gz"